summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorS├ębastien Fabbro <bicatali@gentoo.org>2016-02-24 21:12:42 +0000
committerS├ębastien Fabbro <bicatali@gentoo.org>2016-02-24 21:31:43 +0000
commit96691fbee2869ccf9e21432f9e0b8f8adaaa7c9a (patch)
tree0954b39a2e779c85669d1b7c69396deda5ed9c1f /sci-astronomy
parentdev-python/mysql-connector-python: Version bump to 2.1.3 and EAPI to 6 (diff)
downloadgentoo-96691fbee2869ccf9e21432f9e0b8f8adaaa7c9a.tar.gz
gentoo-96691fbee2869ccf9e21432f9e0b8f8adaaa7c9a.tar.bz2
gentoo-96691fbee2869ccf9e21432f9e0b8f8adaaa7c9a.zip
sci-astronomy/cpl: Version bump
Package-Manager: portage-2.2.27
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/cpl/Manifest4
-rw-r--r--sci-astronomy/cpl/cpl-6.3.1.ebuild74
-rw-r--r--sci-astronomy/cpl/cpl-6.4.ebuild74
-rw-r--r--sci-astronomy/cpl/cpl-6.6.1.ebuild (renamed from sci-astronomy/cpl/cpl-6.4.1.ebuild)36
-rw-r--r--sci-astronomy/cpl/files/cpl-6.6.1-use-system-ltdl.patch41
5 files changed, 62 insertions, 167 deletions
diff --git a/sci-astronomy/cpl/Manifest b/sci-astronomy/cpl/Manifest
index c81650d6baf..a19b2676a12 100644
--- a/sci-astronomy/cpl/Manifest
+++ b/sci-astronomy/cpl/Manifest
@@ -1,4 +1,2 @@
-DIST cpl-6.3.1.tar.gz 2981414 SHA256 457d54d01cf356e9898fb2f226f057099a481e183a2eaabd34a7b4c865e10089 SHA512 b597968978ca87048b25ee7fd8ff6ebb483e1fd4c6c4fb515720bf468fe67e7b8a25cc9bf7141c18520ba37dcde9654bd5b46d9adcacba8b51780ff671bcdf76 WHIRLPOOL 1f5c224daaa79c689196cfdf2825574881f060d0e5c2ea6c48937a33c5feaec404f30c5f0abf48d352f0240255accdec1223a9c7b11b93b410f1d5e38a8c7e96
-DIST cpl-6.4.1.tar.gz 3013536 SHA256 03ded24eb87a57023b20e51a7a46d0f807c6dd9ea9c3286fe45f94e26cab4193 SHA512 5925f2bc5bf3828e6cfca78636bb2bb3d08f1b75ca8a16b8279b40bf5f57096d4ba7444aa28c0c354ae0755e2524ef0e56a23d2c87a23b7a9f52560667ce8bab WHIRLPOOL 7eb3be12692d2f72ba5211d001da4bc5d830daa1fd6059d15591c3987131fc54081120adb1519677b46274d71a91c7b1507174bab62be29589f9af0a0d122b19
DIST cpl-6.4.2.tar.gz 3165143 SHA256 848dbbc581670b32eeb3d87a7c3c10c9d3969f0fcbe7daf8ba18ef0081cbc793 SHA512 636ce549f23862a111fd88e97878eff8b86c88e8e2e800533b2f34f219f6b6ea3f03bd9de6ce9606c3787d0a61fb66a6bd92087d24c57c47e5a26e31eb362a11 WHIRLPOOL 7368e323c4f00af8fc684ba1448eec20f229df310b9cd66f0fe046dd6900a195c04fbc1c78dd31600651c8e7911f49517a37ddb4ba89df235fadb5c0e1a0cb81
-DIST cpl-6.4.tar.gz 3012686 SHA256 af3024bccf70632df613a6aff475d3614983cdac31211614fb0412217af0b79f SHA512 26170c144cd72c7b597286458fdbb5c91ebdfff4362d095b47035a8569f930ff5956ffd6b7f86ea066d8dbd6b78ae0569eba5ce6a5c6a20381478e188161ead8 WHIRLPOOL be59b8c9347a701573da97a6e142d725332a6c9f3de291eb6982706cae33d14c0f1edb23a3467a656e1378558e3292c8deba19f2a17a901fe6217f974a229c54
+DIST cpl-6.6.1.tar.gz 3082051 SHA256 16cd1c5a165526423d5dd7999f9080e1fa143fc38778329744cf59fd24e1bb84 SHA512 261cd092b3d0f1865f2e1aca0760232497cfe85b92f61601b22d81619147cad17c427791adad5a863acb3febcfe78590c8f8d10de1d626f4b90302326f936064 WHIRLPOOL ea7c5f7792da54a46eec9f3a8e040c2598b8ec95a9aeccc8451e77aa9773c2ccdf3113e91f2f6f2c21782ab31293922a6195e0df7da30a369a1396328ace5251
diff --git a/sci-astronomy/cpl/cpl-6.3.1.ebuild b/sci-astronomy/cpl/cpl-6.3.1.ebuild
deleted file mode 100644
index 199b8dbea2d..00000000000
--- a/sci-astronomy/cpl/cpl-6.3.1.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2013 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-JAVA_PKG_OPT_USE=gasgano
-AUTOTOOLS_AUTORECONF=1
-
-inherit eutils java-pkg-opt-2 autotools-utils
-
-DESCRIPTION="ESO common pipeline library for astronomical data reduction"
-HOMEPAGE="http://www.eso.org/sci/software/cpl/"
-SRC_URI="ftp://ftp.eso.org/pub/dfs/pipelines/libraries/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-
-IUSE="doc gasgano static-libs threads"
-
-RDEPEND="
- >=sci-astronomy/wcslib-4.8.4
- >=sci-libs/cfitsio-3.310
- >=sci-libs/fftw-3.1.2
- gasgano? ( sci-astronomy/gasgano )"
-DEPEND="${RDEPEND}
- doc? ( app-doc/doxygen )"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-6.1.1-check-shared-libs.patch
- "${FILESDIR}"/${PN}-6.1.1-use-system-ltdl.patch
-)
-
-src_prepare() {
- # bug 422455 and remove cpu chcking
- sed -i \
- -e '/AM_C_PROTOTYPES/d' \
- -e '/CPL_CHECK_CPU/d' \
- configure.ac libcext/configure.ac || die
- autotools-utils_src_prepare
-}
-
-src_configure() {
- local myeconfargs=(
- --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
- --disable-ltdl-install
- --without-included-ltdl
- --with-cfitsio="${EPREFIX}/usr"
- --with-wcs="${EPREFIX}/usr"
- --with-fftw="${EPREFIX}/usr"
- $(use_enable doc maintainer-mode)
- $(use_enable threads)
- )
- if use gasgano; then
- myeconfargs+=(
- --enable-gasgano
- --with-gasgano="${EPREFIX}/usr"
- --with-gasgano-classpath="${EPREFIX}/usr/share/gasgano/lib"
- --with-java="$(java-config -O)"
- )
- else
- myeconfargs+=( --disable-gasgano )
- fi
- autotools-utils_src_configure
-}
-
-src_compile() {
- autotools-utils_src_compile all $(use doc && echo html)
-}
-
-src_install() {
- autotools-utils_src_install all $(use doc && echo install-html)
-}
diff --git a/sci-astronomy/cpl/cpl-6.4.ebuild b/sci-astronomy/cpl/cpl-6.4.ebuild
deleted file mode 100644
index d714c53386e..00000000000
--- a/sci-astronomy/cpl/cpl-6.4.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=5
-
-JAVA_PKG_OPT_USE=gasgano
-AUTOTOOLS_AUTORECONF=1
-
-inherit eutils java-pkg-opt-2 autotools-utils
-
-DESCRIPTION="ESO common pipeline library for astronomical data reduction"
-HOMEPAGE="http://www.eso.org/sci/software/cpl/"
-SRC_URI="ftp://ftp.eso.org/pub/dfs/pipelines/libraries/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0/20"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-
-IUSE="doc gasgano static-libs threads"
-
-RDEPEND="
- >=sci-astronomy/wcslib-4.8.4
- >=sci-libs/cfitsio-3.310
- >=sci-libs/fftw-3.1.2
- gasgano? ( sci-astronomy/gasgano )"
-DEPEND="${RDEPEND}
- doc? ( app-doc/doxygen )"
-
-PATCHES=(
- "${FILESDIR}"/${PN}-6.1.1-check-shared-libs.patch
- "${FILESDIR}"/${PN}-6.1.1-use-system-ltdl.patch
-)
-
-src_prepare() {
- # bug 422455 and remove cpu chcking
- sed -i \
- -e '/AM_C_PROTOTYPES/d' \
- -e '/CPL_CHECK_CPU/d' \
- configure.ac libcext/configure.ac || die
- autotools-utils_src_prepare
-}
-
-src_configure() {
- local myeconfargs=(
- --htmldir="${EPREFIX}/usr/share/doc/${PF}/html"
- --disable-ltdl-install
- --without-included-ltdl
- --with-cfitsio="${EPREFIX}/usr"
- --with-wcs="${EPREFIX}/usr"
- --with-fftw="${EPREFIX}/usr"
- $(use_enable doc maintainer-mode)
- $(use_enable threads)
- )
- if use gasgano; then
- myeconfargs+=(
- --enable-gasgano
- --with-gasgano="${EPREFIX}/usr"
- --with-gasgano-classpath="${EPREFIX}/usr/share/gasgano/lib"
- --with-java="$(java-config -O)"
- )
- else
- myeconfargs+=( --disable-gasgano )
- fi
- autotools-utils_src_configure
-}
-
-src_compile() {
- autotools-utils_src_compile all $(use doc && echo html)
-}
-
-src_install() {
- autotools-utils_src_install all $(use doc && echo install-html)
-}
diff --git a/sci-astronomy/cpl/cpl-6.4.1.ebuild b/sci-astronomy/cpl/cpl-6.6.1.ebuild
index 36da138b840..6fbc159b10d 100644
--- a/sci-astronomy/cpl/cpl-6.4.1.ebuild
+++ b/sci-astronomy/cpl/cpl-6.6.1.ebuild
@@ -1,13 +1,12 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=5
+EAPI=6
JAVA_PKG_OPT_USE=gasgano
-AUTOTOOLS_AUTORECONF=1
-inherit eutils java-pkg-opt-2 autotools-utils
+inherit autotools java-pkg-opt-2
DESCRIPTION="ESO common pipeline library for astronomical data reduction"
HOMEPAGE="http://www.eso.org/sci/software/cpl/"
@@ -21,24 +20,25 @@ IUSE="doc gasgano static-libs threads"
RDEPEND="
sci-astronomy/wcslib:0=
- >=sci-libs/cfitsio-3.310:0=
+ sci-libs/cfitsio:0=
sci-libs/fftw:3.0=
gasgano? ( sci-astronomy/gasgano )"
DEPEND="${RDEPEND}
doc? ( app-doc/doxygen )"
PATCHES=(
- "${FILESDIR}"/${PN}-6.1.1-check-shared-libs.patch
- "${FILESDIR}"/${PN}-6.1.1-use-system-ltdl.patch
+ "${FILESDIR}"/${PN}-6.6.1-use-system-ltdl.patch
)
src_prepare() {
- # bug 422455 and remove cpu chcking
- sed -i \
- -e '/AM_C_PROTOTYPES/d' \
- -e '/CPL_CHECK_CPU/d' \
- configure.ac libcext/configure.ac || die
- autotools-utils_src_prepare
+ default
+ # remove cpu chcking
+ sed -e '/CPL_CHECK_CPU/d' \
+ -i configure.ac libcext/configure.ac || die
+ # search for shared libs, not static
+ sed -e 's/\.a/\.so/g' \
+ -i m4/cpl.m4 || die
+ eautoreconf
}
src_configure() {
@@ -50,6 +50,7 @@ src_configure() {
--with-wcs="${EPREFIX}/usr"
--with-fftw="${EPREFIX}/usr"
$(use_enable doc maintainer-mode)
+ $(use_enable static-libs static)
$(use_enable threads)
)
if use gasgano; then
@@ -62,13 +63,16 @@ src_configure() {
else
myeconfargs+=( --disable-gasgano )
fi
- autotools-utils_src_configure
+ econf ${myeconfargs[@]}
}
src_compile() {
- autotools-utils_src_compile all $(use doc && echo html)
+ default
+ use doc && emake html
}
src_install() {
- autotools-utils_src_install all $(use doc && echo install-html)
+ default
+ prune_libtool_files --all
+ use doc && emake install-html
}
diff --git a/sci-astronomy/cpl/files/cpl-6.6.1-use-system-ltdl.patch b/sci-astronomy/cpl/files/cpl-6.6.1-use-system-ltdl.patch
new file mode 100644
index 00000000000..37ef2b550ed
--- /dev/null
+++ b/sci-astronomy/cpl/files/cpl-6.6.1-use-system-ltdl.patch
@@ -0,0 +1,41 @@
+use system libtdl from libtool instead of bundled one
+see http://www.flameeyes.eu/autotools-mythbuster/libtool/plugins.html
+bicatali@gentoo.org
+
+--- cpl-7.0.orig/configure.ac 2012-06-04 18:38:01.000000000 +0100
++++ cpl-7.0/configure.ac 2012-06-04 22:14:23.000000000 +0100
+@@ -60,8 +60,9 @@
+ AC_ENABLE_STATIC(yes)
+ AC_ENABLE_SHARED(yes)
+
+-AC_LIBLTDL_CONVENIENCE
+-AC_PROG_LIBTOOL
++LT_INIT([dlopen])
++LT_CONFIG_LTDL_DIR([libltdl])
++AC_LIB_LTDL
+ AC_SUBST(INCLTDL)
+ AC_SUBST(LIBLTDL)
+ AC_SUBST(LIBTOOL_DEPS)
+@@ -131,7 +135,6 @@
+ CPL_CONFIG_FUNC
+
+ # Configure subpackages
+-AC_CONFIG_SUBDIRS(libltdl)
+
+ if test ! x$"cpl_cv_with_system_cext" = xyes; then
+ AC_CONFIG_SUBDIRS([libcext])
+--- cpl-7.0.orig/Makefile.am
++++ cpl-7.0/Makefile.am
+@@ -25,11 +25,10 @@
+ DISTCLEANFILES = *~
+
+ if GASGANO_SUPPORT
+-libltdl = libltdl
+ cpljava = cpljava
+ endif
+
+-SUBDIRS = $(libltdl) $(libcext) cplcore cplui cpldrs cpldfs $(cpljava)
++SUBDIRS = $(libcext) cplcore cplui cpldrs cpldfs $(cpljava)
+
+ HTML_SUBDIRS =
+